Name:                jacorb
Version:             2.3.1
Release:             1
Summary:             The Java implementation of the OMG's CORBA standard
License:             LGPLv2
URL:                 http://www.jacorb.org/index.html
Source0:             http://www.jacorb.org/releases/%{version}/jacorb-%{version}-src.zip
Source1:             https://repo1.maven.org/maven2/org/jacorb/jacorb/%{version}/jacorb-parent-%{version}.pom
Source2:             https://repo1.maven.org/maven2/org/jacorb/jacorb/%{version}/jacorb-%{version}.pom
Source3:             https://repo1.maven.org/maven2/org/jacorb/jacorb-idl-compiler/%{version}/jacorb-idl-compiler-%{version}.pom
Patch0:              jacorb-2.3.1-Implement-a-few-methods-in-GSSUPContextSpi-to-make-i.patch
Patch1:              jacorb-2.3.1-version.patch
Patch2:              jacorb-2.3.1-Set-encoding-to-UTF-8-when-generating-javadoc.patch
Patch3:              jacorb-2.3.1-Removed-Class-Path-entry-from-MANIFEST.MF.patch
Patch4:              jacorb-2.3.1-primaddress_port.patch
Patch5:              jacorb-2.3.1-read_boolean.patch
Patch6:              JDK8-support.patch
BuildArch:           noarch
BuildRequires:       javapackages-local java-devel ant antlr-tool avalon-logkit bsh slf4j
%description
This package contains the Java implementation of the OMG's CORBA standard

%package javadoc
Summary:             Javadocs for %{name}
Requires:            jpackage-utils
%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jacorb-%{version}
cp %{SOURCE1} jacorb-parent.pom
cp %{SOURCE2} jacorb.pom
cp %{SOURCE3} jacorb-idl-compiler.pom
find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;
find -name '*.zip' -exec rm -f '{}' \;
%patch0 -p1
%patch1 -p0
%patch2 -p1
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p1
sed -i 's|,notification||' src/org/jacorb/build.xml
ln -s $(build-classpath antlr) lib/antlr-2.7.2.jar
ln -s $(build-classpath slf4j/api) lib/slf4j-api-1.5.6.jar
%mvn_alias "org.jacorb:" "jacorb:"

%build
export CLASSPATH=$(build-classpath avalon-logkit slf4j/api)
sed -i "s|>avalon<|>avalon-logkit<|g" jacorb-idl-compiler.pom
%pom_remove_dep "tanukisoft:wrapper" jacorb.pom
%pom_remove_dep "picocontainer:picocontainer" jacorb.pom
%pom_remove_dep "nanocontainer:nanocontainer" jacorb.pom
%pom_remove_dep "nanocontainer:nanocontainer-remoting" jacorb.pom
ant all doc

%install
%mvn_artifact jacorb-parent.pom
%mvn_artifact jacorb.pom lib/jacorb.jar
%mvn_artifact jacorb-idl-compiler.pom lib/idl.jar
%mvn_install -J doc/api

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc doc/LICENSE

%files javadoc -f .mfiles-javadoc
%doc doc/LICENSE

%changelog
* Wed Sep 2 2020 Ge Wang <wangge20@huawei.com> - 2.3.1-1
- Package init
